################################################################
#
#   Myna Weft Golf
#
#   An entry in the PyWeek 8 Game Programming Competition
#
#   By Gregory Ewing (greg.ewing@canterbury.ac.nz)
#
################################################################

import pygame
import settings

def main():
	# Initialise pygame before doing anything else so that
	# images can be loaded in module init code.
	pygame.init()
	#import theme
	from settings import options
	from game import MwgGame
	from shell import MwgShell
	game = MwgGame()
	shell = MwgShell(game, options)
	shell.run()

if __name__ == "__main__":
	main()
