#---------------------------------------------------------------------------
#
#   MWG - Tiles
#
#---------------------------------------------------------------------------

import os
from albow.resource import resource_path, get_image

tile_images = {}
tile_list = []

def tile_image_with_index(i):
	return tile_images[tile_list[i]]

def tile_name_with_index(i):
	return tile_list[i]

def init_tiles():
	tile_dir = resource_path("images", "tiles")
	filenames = os.listdir(tile_dir)
	filenames.sort()
	for filename in filenames:
		name = os.path.splitext(filename)[0]
		border = 0
		if name.endswith("-b"):
			border = 2
			name = name[:-2]
		image = get_image("tiles/" + filename, border = border)
		tile_images[name] = image
		tile_list.append(name)
	#print "tiles.init_tiles:", tile_list ###

init_tiles()
